Debian Bug report logs - #693949
etw: fails to build with binutils-gold

version graph

Package: etw; Maintainer for etw is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for etw is src:etw.

Reported by: Michael Gilbert <mgilbert@debian.org>

Date: Thu, 22 Nov 2012 03:03:02 UTC

Severity: important

Found in version etw/3.6+svn140-3

Fixed in version etw/3.6+svn162-1

Done: Markus Koschany <apo@gambaru.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#693949; Package etw. (Thu, 22 Nov 2012 03:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Thu, 22 Nov 2012 03:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: etw: fails to build with binutils-gold
Date: Wed, 21 Nov 2012 21:59:39 -0500
package: etw
version: 3.6+svn140-3
severity: important

Hi, etw fails to build when the binutils-gold package is installed:

[...]
utility.c:618: error: undefined reference to 'atan2'
collect2: error: ld returned 1 exit status

This could be fixed by build-conflicting with binutils-gold or adding
"-lm" to LDFLAGS.

Best wishes,
Mike



Message sent on to Michael Gilbert <mgilbert@debian.org>:
Bug#693949. (Thu, 22 Nov 2012 05:24:05 GMT) Full text and rfc822 format available.

Message #8 received at 693949-submitter@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 693949-submitter@bugs.debian.org
Subject: etw: fails to build with binutils-gold
Date: Thu, 22 Nov 2012 06:20:50 +0100
[Message part 1 (text/plain, inline)]
Hello Mike,

thanks for reporting this bug and uploading etw to unstable. I will fix
the issue in the upcoming release which is due to be released.

Regards,

Markus

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Markus Koschany <apo@gambaru.de>:
You have taken responsibility. (Wed, 16 Jan 2013 22:36:03 GMT) Full text and rfc822 format available.

Notification sent to Michael Gilbert <mgilbert@debian.org>:
Bug acknowledged by developer. (Wed, 16 Jan 2013 22:36:03 GMT) Full text and rfc822 format available.

Message #13 received at 693949-close@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 693949-close@bugs.debian.org
Subject: Bug#693949: fixed in etw 3.6+svn162-1
Date: Wed, 16 Jan 2013 22:32:34 +0000
Source: etw
Source-Version: 3.6+svn162-1

We believe that the bug you reported is fixed in the latest version of
etw, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693949@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <apo@gambaru.de> (supplier of updated etw package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 05 Jan 2013 10:27:47 +0100
Source: etw
Binary: etw etw-data
Architecture: source amd64 all
Version: 3.6+svn162-1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Markus Koschany <apo@gambaru.de>
Description: 
 etw        - arcade-style soccer game
 etw-data   - graphics and audio data for etw
Closes: 693949
Changes: 
 etw (3.6+svn162-1) unstable; urgency=low
 .
   * New upstream SVN snapshot.
     - Mostly code cleanup, small bug fixes and renaming of italian variables.
   * Switch to package format 3.0 (quilt).
   * debian/patches:
     - Drop changelog patch. A changelog was never installed.
     - Refresh all other patches, drop patch numbers and prepare Makefile.linux
       for hardening.
     - Add Fix-conflicting-types-for-drawtext-declaration.patch which fixes
       a FTBFS.
   * debian/control:
     - Drop superfluous quilt dependency.
     - Drop sharutils dependency. In version 3.6 we don't need it anymore to fix
       bug #335719.
     - New Standards-Version: 3.9.4.
   * Bump compat level to 9 and change requirement for debhelper to >= 9.
   * Update README.Debian and point to upstream's EatTheWhistle.txt
     which has been renamed to README. It contains additional and more useful
     information.
   * Update debian/copyright to copyright format 1.0.
   * Update etw's manpage.
   * Remove postinst and preinst script. Keep it simple and less error-prone.
   * Add etw.png icon and install etw.xpm only to /usr/share/pixmaps.
   * Update desktop and menu file and add German comments.
   * debian/rules:
     - Simplify debian/rules by using dh sequencer.
     - Update get-orig-source target.
     - Build with dh --parallel.
     - Fix FTBFS with binutils-gold and add -lm to LDFLAGS. (Closes: #693949)
   * Build with Wl, --as-needed to avoid unnecessary dependencies.
   * Partially build with hardening build flags. Unfortunately enabling all
     hardening features makes the game unusable.
   * Update watch file.
Checksums-Sha1: 
 da53b5ee22cfa4968178363bfd0a96ef3a4eac1e 1965 etw_3.6+svn162-1.dsc
 e396a5dce81168c4b17eb9c2450b11f9989ba766 9205100 etw_3.6+svn162.orig.tar.gz
 db7fe48ec5413713bd673df9839b4cf981a29716 11141 etw_3.6+svn162-1.debian.tar.gz
 79fffed2b30e524670a78ed753e32d04990ac845 212582 etw_3.6+svn162-1_amd64.deb
 f2f22c8ae45931f888925431b831fa4633589303 8052618 etw-data_3.6+svn162-1_all.deb
Checksums-Sha256: 
 cad132187580c0bb56fdd70333ea3c2e687b30cd61005b53910026107d82f1ac 1965 etw_3.6+svn162-1.dsc
 147e7e0136d2411ed3155bc9f57aea3e6f3fd428e667265a4d19590d0a95cbc6 9205100 etw_3.6+svn162.orig.tar.gz
 5a04fc591c32ed044907a6c1af93f533f456e30166d67c88ee86f75f78e9992d 11141 etw_3.6+svn162-1.debian.tar.gz
 85261949e2ec1a2a9eac23a82185fb3e77e80dcac01afba4a18f0ec3f63eb611 212582 etw_3.6+svn162-1_amd64.deb
 162fceb1d16142499a1a0013da8e64134d045cddeb85bfe897ce053b8e050ae8 8052618 etw-data_3.6+svn162-1_all.deb
Files: 
 bf25c457e70c4482a608ee8fd09124e8 1965 games optional etw_3.6+svn162-1.dsc
 9acac9aa2d433ea9eb02df0a3f276640 9205100 games optional etw_3.6+svn162.orig.tar.gz
 12fac505f34e05001576633e0c306abd 11141 games optional etw_3.6+svn162-1.debian.tar.gz
 bc65a0a49325254e985cbbad63284b85 212582 games optional etw_3.6+svn162-1_amd64.deb
 9c81b337f23533e2501aabc47e2ea85a 8052618 games optional etw-data_3.6+svn162-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ9ydKAAoJEHQmOzf1tfkTKz0P+gMELaLNk203n8euryaW7jGV
jGO6f/m9qw8hJHCijTFZwljbyXm6po+Tm+bK5GP8VbigWDPbDO0qeCrDaV5bzJDD
SrbOFkhSqNM88nwXiM1fMHbWn65rqprICRAa62TbEk8izp2JYU1rlJ+AX9HWRP1v
P+SP6vFIKaLsoTjLERvhpCcadUg2Trn5t/CYmCnJHLGhzzg855coRXJA0EDMExtK
vN0ol6sFlrxBDaSZanBzWT8ea4TGFgk3xVzA4hbVelg/TM8aAGO+Q68OggO4gpIl
3g2m1vxyqOibZkTHxTfod40xQk8EYz/WdM32mBTHO1Kw/3DIyKCvhFjXCIDdBmY0
T/fob+pHZe0BGRHGqrjjsx5icMfKsctHdlMNanf59a0jPnlhcRMrPbVF0LDmVTGC
ooOBpMPcEnqFJt++FhdXm7T1qDmyQU2QsoH36DsXodXShRaD3lhQn+4Hebh7LXWI
IYsA2btiwxUnuvY+bokOQR9hH5bAzD60jNZqTKE/IyALI159gOY6HNydOCy8YJfM
9VqTTAVRJI5DO8ODKRNvk0meCr5r+PaZ6fr4VLE0gqzTjd62n9F6m1Q0BjwCO00Q
Q0wb6ngp5sAMxWb/hisXbaBkZag3QyKj+fzQMT1qplXihdnhsczNxMxZfbPv6zbl
ymnTU6DqTNngOnaN8BVp
=p7kY
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 May 2013 07:30:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:55:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.